Loading...
Searching...
No Matches
ARC_Lexer Struct Reference

## Data Fields

ARC_Vector * | tokenRules
ARC_Vector * | tokens
ARC_Bool | tokenRulesAreContinuous
uint32_t | tokenRulesMaxVal

## Detailed Description

Definition at line 10 of file lexer.c.

## Field Documentation

## tokenRules

ARC_Vector* ARC_Lexer::tokenRules

Definition at line 11 of file lexer.c.

Referenced by ARC_Lexer_Destroy(), ARC_Lexer_IsTokenId(), ARC_Lexer_LexString(), ARC_Lexer_PrintTokenRules(), and ARC_Lexer_RegisterTokenRule().

## tokenRulesAreContinuous

ARC_Bool ARC_Lexer::tokenRulesAreContinuous

Definition at line 15 of file lexer.c.

Referenced by ARC_Lexer_IsContinious(), ARC_Lexer_IsTokenId(), and ARC_Lexer_RegisterTokenRule().

## tokenRulesMaxVal

uint32_t ARC_Lexer::tokenRulesMaxVal

Definition at line 16 of file lexer.c.

Referenced by ARC_Lexer_IsTokenId(), and ARC_Lexer_RegisterTokenRule().

## tokens

ARC_Vector* ARC_Lexer::tokens

Definition at line 12 of file lexer.c.

Referenced by ARC_Lexer_Clear(), ARC_Lexer_Destroy(), ARC_Lexer_GetToken(), ARC_Lexer_GetTokensSize(), and ARC_Lexer_LexString().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/lexer.c